# VkExtent3D(3) Manual Page

## Name

VkExtent3D - Structure specifying a three-dimensional extent

## C Specification

A three-dimensional extent is defined by the structure:

    typedef struct VkExtent3D {
        uint32_t    width;
        uint32_t    height;
        uint32_t    depth;
    } VkExtent3D;

## Members

- `width` is the width of the extent.

- `height` is the height of the extent.

- `depth` is the depth of the extent.

## Description

## See Also

VkBufferImageCopy, VkImageCopy, VkImageCreateInfo, VkImageFormatProperties, VkImageResolve, VkQueueFamilyProperties, VkSparseImageFormatProperties, VkSparseImageMemoryBind

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.